import { Client, GatewayIntentBits, ActivityType } from "discord.js";
import { triggerTask } from "@bot/task";

export const client = new Client({
    intents: [
        GatewayIntentBits.Guilds,
        GatewayIntentBits.GuildMembers,
        GatewayIntentBits.GuildWebhooks
    ]
})

client.on("ready", () => {
    if (!client.user) {
        throw Error("Client is null");
    }

    setInterval(() => triggerTask(client), 5000);

    client.user.setActivity("new sources", {type: ActivityType.Watching});
    console.log(`Discord Bot ${client.user.displayName} is online!`)
});

client.login(process.env.BOT_TOKEN);